## cdbs 0.4.46ubuntu6

=== doc/Makefile ===
all: html pdf

graphics = buildcore depgraph

xmllint-stamp-%: %.xml
	xmllint --xinclude --postvalid --noblanks --noout $<
	touch $@

html: cdbs-doc.html
%.html: %.xml xmllint-stamp-% cdbs-doc-xhtml.xsl $(graphics:%=%.png)
	xsltproc --xinclude -o $@ cdbs-doc-xhtml.xsl $<

%.tex-pdf: %.xml xmllint-stamp-% cdbs-doc-latex.xsl
	xsltproc --xinclude --stringparam graphic.default.extension pdf -o $@ cdbs-doc-latex.xsl $<

%.tex-ps: %.xml xmllint-stamp-% cdbs-doc-latex.xsl
	xsltproc --xinclude --stringparam graphic.default.extension eps -o $@ cdbs-doc-latex.xsl $<

dvi: cdbs-doc.dvi
%.dvi: %.tex-ps $(graphics:%=%.eps)
# 3 passes to avoid undefined references
	latex $<
	mkindex $<
	latex $<
	latex $<

cdbs-doc.pdf:
	# disable temporarily to avoid ftbfs!
	# creating an empty file so that the testcases don't fail
	touch $@

pdf: cdbs-doc.pdf
%.pdf: %.tex-pdf $(graphics:%=%.pdf)
	pdflatex $<
	pdflatex $<

ps: cdbs-doc.ps
%.ps: %.dvi
	dvips $<

txt: cdbs-doc.txt
%.txt: %.html
	elinks -dump -no-numbering -no-references $< >$@

%.png: %.dot
	dot -Tpng -o $@ $^

%.eps: %.dot
	dot -Tps2 -o $@ $^ -Gsize='6,10'

%.pdf: %.eps
	epstopdf --outfile=$@ $<

all_mk_files := $(wildcard ../1/*/*.mk)

depgraph-tmp.dot: gen-dotty.pl $(all_mk_files)
	perl $^ >$@

depgraph.dot: depgraph-tmp.dot
	unflatten -l 5 -o $@ $^


clean:
	rm -f *.aux *.dvi *.out *.log *.glo *.idx *.ind *.ilg *.lot *.lof *.toc *.tex *.fo *.png *.pdf *.eps *.tex-* *.html *.ps *.txt xmllint-stamp-*
	rm -f depgraph.dot depgraph-tmp.dot

distclean: clean


.PHONY: all install install-data install-exec uninstall install-info installdirs check installcheck clean distclean maintainer-clean

.SECONDARY:

=== debian/changelog ===
cdbs (0.4.46ubuntu6) edgy; urgency=low

  * scripts/cdbs-edit-patch: Fix whitespace handling of DEB_TAR_SRCDIR.
    Closes: LP#6262
  * 1/rules/tarball.mk.in: Remove debian/stamp-patch-*, so that cleaning a
    built source works when using simple-patchsys.mk.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon,  2 Oct 2006 15:00:55 +0200

cdbs (0.4.46ubuntu5) edgy; urgency=low

  * Allow package to specifiy name of .pot file in kde.mk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun,  1 Oct 2006 12:51:39 +0100

cdbs (0.4.46ubuntu4) edgy; urgency=low

  * Allow for utf8 convert to fail in kde.mk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Sep 2006 02:18:54 +0100

cdbs (0.4.46ubuntu3) edgy; urgency=low

  * Edit kde.mk to set charset to utf8 in .pot files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Sep 2006 12:17:43 +0100

cdbs (0.4.46ubuntu2) edgy; urgency=low

  * Add back changes from 0.4.44ubuntu5
    - Clean up edited .desktop etc files in kde.mk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri,  8 Sep 2006 23:49:36 +0000

cdbs (0.4.46ubuntu1) edgy; urgency=low

  * Merge from Debian unstable

 -- Andrew Mitchell <ajmitch@ubuntu.com>  Tue, 15 Aug 2006 16:06:11 +1200

cdbs (0.4.46) unstable; urgency=high

  * Changed patch stamp file naming scheme to handle equally named patches
    in different directories (simple-patchsys.mk) (closes: #380499)

 -- Peter Eisentraut <petere@debian.org>  Thu,  3 Aug 2006 19:43:44 +0200

cdbs (0.4.45) unstable; urgency=medium

  * Added support for user-defined CC and CXX in qmake class
  * Fixed diff call yielding false positives in list-missing rule
    (utils.mk) (closes: #378013); test case in list-missing-1.sh
  * Fixed bashisms in utils.mk
  * Fixed bashism in python-distutils.mk
  * Call dh_py* for all packages in new Python policy section
    (python-distutils.mk) (closes: #377965)
  * Make use of per-patch stamp files and don't ignore failed patch
    reversals (simple-patchsys.mk) (closes: #372682)
  * Removed some redundant autotools use, since we know our target platform
    pretty well
  * Updated debian/copyright, removed redundant AUTHORS file
  * Updated TODO

 -- Peter Eisentraut <petere@debian.org>  Sat, 29 Jul 2006 17:18:57 +0200

cdbs (0.4.44ubuntu4) edgy; urgency=low

  * Add rules to kde.mk for langpack-desktopfiles-kde

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat,  5 Aug 2006 12:35:36 +0000

cdbs (0.4.44ubuntu3) edgy; urgency=low

  * Various improvements to scripts/cdbs-edit-patch:
    - Now works for packages using tarball.mk.
    - Can edit patches which produce rejections.
    - Strips off 'debian/patches/' from patch name argument to comfortably
      work with command line completion.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed,  2 Aug 2006 11:49:46 +0200

cdbs (0.4.44ubuntu2) edgy; urgency=low

  * fix bashism in python-distutils.mk.in to fix ftbfs for python packages, 
    closes (Malone 53563)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 28 Jul 2006 22:09:18 +0200

cdbs (0.4.44ubuntu1) edgy; urgency=low

  * Merge from debian unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Sun,  9 Jul 2006 18:06:56 +0200

cdbs (0.4.44) unstable; urgency=medium

  * Shortened uploaders list
  * Added gs-common build dependency (closes: #375464)
  * Disabled ant-1 test while kaffe is broken (see #376336)
  * Removed weird garbage file left in last upload

 -- Peter Eisentraut <petere@debian.org>  Mon,  3 Jul 2006 17:46:43 +0200

cdbs (0.4.43ubuntu1) edgy; urgency=low

  * remerge new debian changes

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 27 Jun 2006 14:07:43 +0200

cdbs (0.4.43) unstable; urgency=low

  * Python class update (Closes: #374809):
    + support latest pysupport features (mainly .so support).
    + use pyversions improvements to simplify the code.
    + added a check against 'debian/pycompat'.
    + tighten build-dependencies to make use of new features.
    + $(cdbs_python_current_version) is always set
      (Closes: #374012).
    + honour minor supported version (thanks to Piotr Ozarowski for the
      original patch) (Closes: #373997).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 24 Jun 2006 11:44:28 +0200

cdbs (0.4.42) unstable; urgency=low

  * Corrected misspelled DEB_PYTHON_INSTALL_ARGS(_ALL)
    (python-distutils.mk) (closes: #373678)
  * Corrected automatic cdbs dependency version (python-distutils.mk)
    (closes: #373653, #373997)
  * Corrected error message (python-distutils.mk)
    (closes: #373653, #373873)

 -- Peter Eisentraut <petere@debian.org>  Fri, 16 Jun 2006 20:00:03 +0200

cdbs (0.4.41ubuntu5) edgy; urgency=low

  * Reactivate ant-1.sh testsuite check which got disabled in 0.4.41ubuntu2
    without reason.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 Jun 2006 11:33:15 +0200

cdbs (0.4.41ubuntu4) edgy; urgency=low

  * 1/class/xfce.mk.in, 1/rules/langpack.mk.in: Fixed @PATH_RULES@ ->
    #PATH_RULES# in accordance with the changes in 0.4.41.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 Jun 2006 11:20:38 +0200

cdbs (0.4.41ubuntu3) edgy; urgency=low

  * Copy config.sub in test/Makefile.am for tarballs, 
    fixes build failure

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jun 2006 15:28:29 +0000

cdbs (0.4.41ubuntu2) edgy; urgency=low

  * Add EXTRACTATTR in KDE .po generation line

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jun 2006 13:47:23 +0000

cdbs (0.4.41ubuntu1) edgy; urgency=low

  * Merge new debian changes
  * disable generation of cdbs-doc.pdf, because xsltproc fails mysteriosly

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 16 Jun 2006 10:08:15 +0200

cdbs (0.4.41) unstable; urgency=low

  * Removed _cdbs_bootstrap variable
  * Propagate LDFLAGS (autotools-vars.mk, makefile-vars.mk)
  * Added qmake class (closes: #360589)
  * Honor DEB_PYTHON_COMPILE_VERSION when calling dh_python
    (python-distutils.mk) (closes: #369335)
  * Replaced most uses of := by = in makefiles.  This generally gives


=== debian/control ===
Source: cdbs
Section: devel
Priority: optional
Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
Build-Depends-Indep: debhelper (>= 5), graphviz, realpath, fakeroot, python-dev, python2.4, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, tetex-extra, ant, sharutils, gs-common
Uploaders: Jeff Bailey <jbailey@raspberryginger.com>, Jonas Smedegaard <dr@jones.dk>, Marc Dequènes (Duck) <Duck@DuckCorp.org>, Peter Eisentraut <petere@debian.org>
Standards-Version: 3.7.2

Package: cdbs
Architecture: all
Conflicts: build-common
Recommends: autotools-dev, debhelper (>= 4.2.0)
Suggests: devscripts, doc-base
Description: common build system for Debian packages
 This package contains the Common Debian Build System, an abstract
 build system based on Makefile inheritance which is completely
 extensible and overridable.  In other words, CDBS provides a sane set
 of default rules upon which packages can build; any or all rules may
 be overridden as needed.

## cdbs 0.4.48

=== debian/changelog ===
cdbs (0.4.48) unstable; urgency=medium

  * Reverse patches before cleaning build directory (simple-patchsys.mk)
    (closes: #387103)
  * Drop build dependency on python2.3; use python2.5 in the testsuite
    instead (closes: #403358)

 -- Peter Eisentraut <petere@debian.org>  Sat, 16 Dec 2006 18:25:48 +0100

cdbs (0.4.47) unstable; urgency=low

  * Replaced db2latex-xsl by dblatex for documentation build (patch by
    Frank Küster) (closes: #393665)

 -- Peter Eisentraut <petere@debian.org>  Thu, 26 Oct 2006 12:21:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
-Build-Depends-Indep: debhelper (>= 5), graphviz, realpath, fakeroot, python-dev, python2.4, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, tetex-extra, ant, sharutils, gs-common
+Build-Depends-Indep: debhelper (>= 5), graphviz, realpath, fakeroot, python-dev, python2.4-dev, python2.5-dev, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, dblatex, ant, kaffe, sharutils, gs-common
 Uploaders: Jeff Bailey <jbailey@raspberryginger.com>, Jonas Smedegaard <dr@jones.dk>, Marc Dequènes (Duck) <Duck@DuckCorp.org>, Peter Eisentraut <petere@debian.org>
 Standards-Version: 3.7.2

## cdbs 0.4.48ubuntu1

=== doc/Makefile ===
all: html pdf

graphics = buildcore depgraph

xmllint-stamp-%: %.xml
	xmllint --nonet --xinclude --postvalid --noblanks --noout $<
	touch $@

html: cdbs-doc.html
%.html: %.xml xmllint-stamp-% cdbs-doc-xhtml.xsl $(graphics:%=%.png)
	xsltproc --nonet --xinclude -o $@ cdbs-doc-xhtml.xsl $<

cdbs-doc.pdf:
	# disable temporarily to avoid ftbfs due to failed xslt processing
	# creating an empty file so that the testcases don't fail
	touch $@

pdf: cdbs-doc.pdf
%.pdf: %.xml xmllint-stamp-% $(graphics:%=%.pdf)
	dblatex -b pdftex -T db2latex $<

ps: cdbs-doc.ps
%.ps: %.xml xmllint-stamp-% $(graphics:%=%.eps)
	dblatex -T db2latex -t ps -f eps $<

txt: cdbs-doc.txt
%.txt: %.html
	elinks -dump -no-numbering -no-references $< >$@

%.png: %.dot
	dot -Tpng -o $@ $^

%.eps: %.dot
	dot -Tps2 -o $@ $^ -Gsize='6,10'

%.pdf: %.eps
	epstopdf --outfile=$@ $<

all_mk_files := $(wildcard ../1/*/*.mk)

depgraph-tmp.dot: gen-dotty.pl $(all_mk_files)
	perl $^ >$@

depgraph.dot: depgraph-tmp.dot
	unflatten -l 5 -o $@ $^


clean:
	rm -f *.aux *.dvi *.out *.log *.glo *.idx *.ind *.ilg *.lot *.lof *.toc *.tex *.fo *.png *.pdf *.eps *.tex-* *.html *.ps *.txt xmllint-stamp-*
	rm -f depgraph.dot depgraph-tmp.dot

distclean: clean


.PHONY: all install install-data install-exec uninstall install-info installdirs check installcheck clean distclean maintainer-clean

.SECONDARY:

=== debian/changelog ===
cdbs (0.4.48ubuntu1) feisty; urgency=low

  * Merge to Debian Sid to get Python 2.5 stuff. Remaining Ubuntu changes:
    - 1/class/xfce.mk.in: Generic XFCE build rules.
    - 1/rules/langpack.mk.in: Build POT files and add X-Ubuntu-Gettext-Domain
      to .desktop/.server/.directory files.
    - 1/class/gnome.mk.in: Include langpack.mk and call dh_iconcache.
    - 1/class/kde.mk.in: Call dh_iconcache, build POT file, and add
      X-Ubuntu-Gettext-Domain to .desktop files.
    - 1/rules/tarball.mk.in: Super-fast cleaning.
    - Makefile.am: Ship our additional .mk files.
    - debian/control: Drop dblatex and kaffe build-deps since these are not in
      main.
    - doc/Makefile, debian/doc-base: Do not build/register PDF documentation
      since building it fails mysteriously.
    - scripts/cdbs-edit-patch: Various bug fixes.
    - test/recursive.sh: Run with bash since it has bashisms.
    - test/testsuite_functions: Set NO_PKG_MANGLE so that tests do not fail
      with pkgstriptranslations installed.
   * test/ant-1.sh: Enable tests again since ant is now in main.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 15 Jan 2007 13:04:23 +0100

cdbs (0.4.46ubuntu7) feisty; urgency=low

  * scripts/cdbs-edit-patch: Handle patches ending with .diff. 
    Closes: LP#68165

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 26 Oct 2006 18:31:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
-Build-Depends-Indep: debhelper (>= 5), graphviz, realpath, fakeroot, python-dev, python2.4-dev, python2.5-dev, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, dblatex, ant, kaffe, sharutils, gs-common
+Build-Depends-Indep: debhelper (>= 5), graphviz, realpath, fakeroot, python-dev, python2.4-dev, python2.5-dev, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, tetex-extra, ant, sharutils, gs-common
 Uploaders: Jeff Bailey <jbailey@raspberryginger.com>, Jonas Smedegaard <dr@jones.dk>, Marc Dequènes (Duck) <Duck@DuckCorp.org>, Peter Eisentraut <petere@debian.org>
 Standards-Version: 3.7.2

## cdbs 0.4.48-0osso2

=== debian/changelog ===
cdbs (0.4.48-0osso2) unstable; urgency=medium

  * 1/class/python-distutils.mk.in:
    - fix the old policy warning (Fixes: NB#66108)

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Tue, 28 Aug 2007 14:11:48 +0300

cdbs (0.4.48-0osso1) unstable; urgency=medium

  * Drop extra dependencies to grapviz, ant, kaffe, etc
  * Don't generate docs (we don't want the extra dependencies)
  * Don't do testing (because all the python stuff won't be available
    anyway, we support only python 2.5)
  * Set maintainer to integration@maemo.org

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Fri,  3 Aug 2007 13:31:52 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: cdbs
 Section: devel
 Priority: optional
-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
-Build-Depends-Indep: debhelper (>= 5), graphviz, realpath, fakeroot, python-dev, python2.4-dev, python2.5-dev, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, tetex-extra, ant, sharutils, gs-common
+Maintainer: maemo integration <integration@maemo.org>
+Build-Depends-Indep: debhelper (>= 5), realpath, fakeroot, python2.5-dev, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, sharutils, gs-common
 Uploaders: Jeff Bailey <jbailey@raspberryginger.com>, Jonas Smedegaard <dr@jones.dk>, Marc Dequènes (Duck) <Duck@DuckCorp.org>, Peter Eisentraut <petere@debian.org>
 Standards-Version: 3.7.2

## cdbs 0.4.49ubuntu2

=== debian/changelog ===
cdbs (0.4.49ubuntu2) gutsy; urgency=low

  * 1/class/{gnome,kde,xfce}.mk.in: use dh_icons instead of dh_iconcache.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 09 Jul 2007 12:49:04 +0200

cdbs (0.4.49ubuntu1) gutsy; urgency=low

  * Merge to Debian unstable; remaining Ubuntu changes:
    - debian/control: Set Ubuntu maintainer and XS-Vcs-Bzr:.
    - 1/class/{gnome,kde}.mk.in: Call dh_iconcache and bump autogenerated
      debhelper build dependency appropriately.
    - Add 1/class/xfce.mk.in: Generic XFCE build rules. Install it in
      Makefile.am.
    - Add 1/rules/langpack.mk.in: Generic langpack related tasks: Build POT
      files and add X-Ubuntu-Gettext-Domain to .desktop/.server/.directory
      files. Install file in Makefile.am.
    - 1/class/gnome.mk.in: Include langpack.mk.
    - 1/class/kde.mk.in: build POT file, and add X-Ubuntu-Gettext-Domain to
      .desktop files.
    - test/recursive.sh: Run with bash since it has bashisms.
    - test/testsuite_functions: Set NO_PKG_MANGLE so that tests do not fail
      with pkgstriptranslations installed.
    - debian/control: Drop kaffe build-dep since it is not in main.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 21 May 2007 09:06:11 +0200

cdbs (0.4.49) unstable; urgency=low

  * cdbs-edit-patch:
    - Test directory after checking for help message (closes: #389503)
    - Support patches ending in .diff (closes: #389508)
    - Ensure exit status 0 in case of success (closes: #389929)
    - Apply patches in an order consistent with simple-patchsys.mk
      (closes: #395180)
    [from Martin Pitt:] (closes: #381120)
    - Now works for packages using tarball.mk (closes: #399308)
    - Can edit patches that produce rejections
    - Strips off "debian/patches/" from patch name argument to comfortably
      work with command line completion
  * Added XS-Vcs- fields
  * Added build dependency on texlive-extra-utils to pull in epstopdf
    (closes: #420329)
  * Fixed typos (hbuild.mk) (closes: #419322)
  * Corrected documentation about how to override configure flags
    (closes: #420198)
  * Shortened uploaders list
  * Do not unapply patches when building from a tarball (tarball.mk)
    (closes: #424080)
  * Normalized spelling of makefile errors and warnings (autotools-files.mk,
    buildcore.mk, dpatch.mk, perlmodule.mk, python-distutils.mk,
    simple-patchsys.mk, tarball.mk)

 -- Peter Eisentraut <petere@debian.org>  Sun, 20 May 2007 18:01:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: cdbs
 Section: devel
 Priority: optional
-Maintainer: maemo integration <integration@maemo.org>
-Build-Depends-Indep: debhelper (>= 5), realpath, fakeroot, python2.5-dev, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, sharutils, gs-common
-Uploaders: Jeff Bailey <jbailey@raspberryginger.com>, Jonas Smedegaard <dr@jones.dk>, Marc Dequènes (Duck) <Duck@DuckCorp.org>, Peter Eisentraut <petere@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
+Build-Depends-Indep: debhelper (>= 5), graphviz, realpath, fakeroot, python-dev, python2.4-dev, python2.5-dev, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, dblatex, ant, sharutils, gs-common, texlive-extra-utils
+Uploaders: Jonas Smedegaard <dr@jones.dk>, Marc Dequènes (Duck) <Duck@DuckCorp.org>, Peter Eisentraut <petere@debian.org>
 Standards-Version: 3.7.2
+XS-Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/cdbs/ubuntu
 
 Package: cdbs
 Architecture: all

## cdbs 0.4.51ubuntu1

=== doc/Makefile ===
--- 
+++ 
@@ -9,11 +9,6 @@
 html: cdbs-doc.html
 %.html: %.xml xmllint-stamp-% cdbs-doc-xhtml.xsl $(graphics:%=%.png)
 	xsltproc --nonet --xinclude -o $@ cdbs-doc-xhtml.xsl $<
-
-cdbs-doc.pdf:
-	# disable temporarily to avoid ftbfs due to failed xslt processing
-	# creating an empty file so that the testcases don't fail
-	touch $@
 
 pdf: cdbs-doc.pdf
 %.pdf: %.xml xmllint-stamp-% $(graphics:%=%.pdf)

=== debian/changelog ===
cdbs (0.4.51ubuntu1) hardy; urgency=low

  * Merge with Debian unstable. See 0.4.50ubuntu1 for remaining changes.
  * debian/control: Use "Vcs-Bzr:" instead of "XS-", it's officially supported
    now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 20 Feb 2008 09:06:25 +0100

cdbs (0.4.51) unstable; urgency=low

  * Changed test/recursive.sh to use bash, like all other tests, since it
    doesn't work with dash (closes: #459052)
  * Changed CMAKE_C_COMPILER to CMAKE_C_COMPILER:FILEPATH and
    CMAKE_CXX_COMPILER to CMAKE_CXX_COMPILER:FILEPATH (cmake.mk)
    (closes: #450901)
  * Added support for debhelper level 6 (debhelper.mk):
    - Fixed dbg package handling (patch by Modestas Vainius) (closes: #462130)
    - Support level 6 in CDBS_BUILD_DEPENDS
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Fri, 01 Feb 2008 19:24:29 +0100

cdbs (0.4.50ubuntu2) hardy; urgency=low

  * debian/control: Fix duplicate Depends: line, so that intltool and fdupes
    are actually pulled in.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 10 Jan 2008 15:51:19 +0100

cdbs (0.4.50ubuntu1) hardy; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/control: Set Ubuntu maintainer and XS-Vcs-Bzr:.
    - 1/class/{gnome,kde,xfce}.mk.in: Call dh_icons and bump autogenerated
      debhelper build dependency appropriately.
    - Add 1/class/xfce.mk.in: Generic XFCE build rules. Install it in
      Makefile.am.
    - Add 1/rules/langpack.mk.in: Generic langpack related tasks: Build POT
      files and add X-Ubuntu-Gettext-Domain to .desktop/.server/.directory
      files. Install file in Makefile.am.
    - 1/class/gnome.mk.in: Include langpack.mk.
    - 1/class/kde.mk.in: build POT file, and add X-Ubuntu-Gettext-Domain to
      .desktop files.
    - test/recursive.sh: Run with bash since it has bashisms.
    - test/testsuite_functions: Set NO_PKG_MANGLE so that tests do not fail
      with pkgstriptranslations installed.
    - debian/control: Drop kaffe build-dep since it is not in main.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 Nov 2007 11:48:58 +0100

cdbs (0.4.50) unstable; urgency=low

  * Made qmake class observe nostrip option (qmake.mk) (closes: #438417)
  * Call make as $(MAKE) (qmake.mk)
  * Added cmake class (original patch by Fathi Boudra) (closes: #377524)
  * Documented cases where setting DEB_DESTDIR manually could be necessary
    (closes: #438372)
  * Use unversioned interpreter for default Python version
    (python-distutils.mk) (closes: #377964)
  * Use dh_testroot instead of custom rule when debhelper is used
    (buildcore.mk) (closes: #416018)
  * Documented variables DEB_AUTO_UPDATE_AUTOCONF, DEB_AUTO_UPDATE_AUTOMAKE,
    DEB_AUTO_UPDATE_LIBTOOL; thanks to Steve M. Robbins for the research
    (closes: #439750)
  * Use dh_listpackages instead of custom list-packages script when debhelper
    is used.  Since this requires a recent version of debhelper, debhelper is
    now a dependency of cdbs.  (buildcore.mk, permodule-vars.mk)
    (closes: #405413, #433862)
  * Added possibility to list files that are not installed in
    debian/not-installed (utils.mk) (closes: #423394)
  * Replaced uses of "#" in make $(warning) function argument, because it
    misbehaves in some versions of make (python-distutils.mk)
    (closes: #439915)
  * Add to CFLAGS/CXXFLAGS instead of overwriting them (langcore.mk)
    (closes: #411520)

 -- Peter Eisentraut <petere@debian.org>  Fri, 02 Nov 2007 13:11:42 +0100

cdbs (0.4.49ubuntu5) hardy; urgency=low

  * Add 1/rules/clean-la.mk.in: Script to remove all dependencies from .la
    files. This allows us a smooth migration towards killing .la files
    entirely.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Nov 2007 15:43:10 -0500

cdbs (0.4.49ubuntu4) hardy; urgency=low

  * Add intltool dependency. Many of our added scripts mangle translation
    files, build PO templates, etc. Better to fix this in a central place.
  * scripts/cdbs-edit-patch: Ignore *.orig and *~, since those often generate
    cruft in patches, and config.h.in~ breaks clean-after-build.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 22 Oct 2007 12:41:38 +0200

cdbs (0.4.49ubuntu3) hardy; urgency=low

  * debhelper.mk.in: Do not install upstream changelogs by default. They are
    huge and thus waste a lot of archive and CD space, quite uninteresting for
    ordinary users, and easy to get by downloading the source package or
    visiting the upstream page pointed out in copyright.
  * 1/rules/debhelper.mk.in: Symlink /usr/share/doc/ files to identical
    versions in any depending package which is built by the source package
    (except copyright, to adhere to Debian Policy). This should help to
    deflate packages quite a lot. This can be disabled by setting
    $CDBS_NO_DOC_SYMLINKING.
  * 1/rules/debhelper.mk.in: Symlink identical Gnome help files (like
    untranslated images) with the help of fdupes. This can be disabled by
    setting $CDBS_NO_GNOME_HELP_SYMLINKING. Add fdupes package dependency for
    this.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 19 Oct 2007 18:51:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 XSBC-Original-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
 Build-Depends-Indep: debhelper (>= 5), graphviz, realpath, fakeroot, python-dev, python2.4-dev, python2.5-dev, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, dblatex, ant, sharutils, gs-common, texlive-extra-utils
 Uploaders: Jonas Smedegaard <dr@jones.dk>, Marc Dequènes (Duck) <Duck@DuckCorp.org>, Peter Eisentraut <petere@debian.org>
-Standards-Version: 3.7.2
-XS-Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/cdbs/ubuntu
+Standards-Version: 3.7.3
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/cdbs/ubuntu
 
 Package: cdbs
 Architecture: all
+Depends: debhelper (>= 5.0.30), fdupes, intltool
 Conflicts: build-common
-Recommends: autotools-dev, debhelper (>= 4.2.0)
+Recommends: autotools-dev
 Suggests: devscripts, doc-base
 Description: common build system for Debian packages
  This package contains the Common Debian Build System, an abstract

=== debian/rules ===
#!/usr/bin/make -f 
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2002,2003 Colin Walters <walters@debian.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.

# cdbs uses itself to build itself.
_cdbs_scripts_path = scripts
_cdbs_rules_path = 1/rules
_cdbs_class_path = 1/class
_cdbs_makefile_suffix = .in
DEB_INDEP_PACKAGES = cdbs
DEB_ARCH_PACKAGES =

include 1/rules/debhelper.mk.in
include 1/class/autotools.mk.in

DEB_MAKE_CHECK_TARGET = check

=== test/hdparm/debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2003 Jeff Bailey <jbailey@debian.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.

include debian/testsuite.mk
include $(_cdbs_package_root_dir)/1/rules/debhelper.mk
include $(_cdbs_package_root_dir)/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/tmp

common-install-prehook-arch::
	install -d $(CURDIR)/debian/tmp/sbin

## cdbs 0.4.52

=== debian/changelog ===
cdbs (0.4.52) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Bump python-central build-dependency to >= 0.6 in python-distutils class.

  [ Peter Eisentraut ]
  * Clean up debian/patched when using tarball.mk, to clean up after dpatch.mk
    (patch by Dmitry E. Oboukhov) (tarball.mk) (closes: #456290)
  * Fixed/updated doc-base section
  * Added DEB_AUTOMAKE_ARGS variable (autotools-files.mk) (closes: #439747)
  * Added dh_icons call to GNOME class (gnome.mk) (closes: #432851)
  * Added standard patch system targets "patch" and "unpatch"
    (dpatch.mk, simple-patchsys.mk) (closes: #466259)
  * Added variables DEB_DH_GENCONTROL_ARGS_{ALL,<package>} (debhelper.mk)
    (closes: #457046)
  * Changed control fields XS-Vcs-* to Vcs-*
  * cdbs-edit-patch: ignore *.orig and *~ (closes: #449469)
  * Added call to dh_lintian if available (debhelper.mk) (closes: #467570)
  * Documented a particular issue with debug packages affecting DEB_DESTDIR
    (closes: #380614)
  * Run dh_installmime after dh_install (debhelper.mk) (closes: #443825)
  * Corrected incorrect example about binary/foo targets (closes: #448507)
  * Fixed tarball stamp file name generation so it works with tarballs in
    subdirectories (tarball.mk) (closes: #434774)

 -- Peter Eisentraut <petere@debian.org>  Tue, 01 Apr 2008 11:45:35 +0200

=== debian/control ===
Source: cdbs
Section: devel
Priority: optional
Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
Build-Depends-Indep: debhelper (>= 5), graphviz, realpath, fakeroot, python-dev, python2.4-dev, python2.5-dev, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, dblatex, ant, kaffe, sharutils, gs-common, texlive-extra-utils
Uploaders: Jonas Smedegaard <dr@jones.dk>, Marc Dequènes (Duck) <Duck@DuckCorp.org>, Peter Eisentraut <petere@debian.org>
Standards-Version: 3.7.3
Vcs-Browser: http://svn.debian.org/wsvn/build-common/
Vcs-Svn: svn://svn.debian.org/build-common/

Package: cdbs
Architecture: all
Conflicts: build-common
Depends: debhelper (>= 5.0.30)
Recommends: autotools-dev
Suggests: devscripts, doc-base
Description: common build system for Debian packages
 This package contains the Common Debian Build System, an abstract
 build system based on Makefile inheritance which is completely
 extensible and overridable.  In other words, CDBS provides a sane set
 of default rules upon which packages can build; any or all rules may
 be overridden as needed.

=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,9 @@
 # 02111-1307 USA.
 
 # cdbs uses itself to build itself.
-_cdbs_scripts_path = scripts
 _cdbs_rules_path = 1/rules
 _cdbs_class_path = 1/class
 _cdbs_makefile_suffix = .in
-DEB_INDEP_PACKAGES = cdbs
-DEB_ARCH_PACKAGES =
 
 include 1/rules/debhelper.mk.in
 include 1/class/autotools.mk.in

## cdbs 0.4.52ubuntu7

=== debian/changelog ===
cdbs (0.4.52ubuntu7) intrepid; urgency=low

  * Remove need for THIS_SHOULD_GO_TO_UNSTABLE from kde4.mk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Aug 2008 14:07:26 +0100

cdbs (0.4.52ubuntu6) intrepid; urgency=low

  * 1/rules/simple-patchsys.mk.in: revert the change for Debian bug #387103
    that causes patches to be unapplied before cleaning the build directory;
    the original issue was addressed more thoroughly in 0.4.49 with a fix
    for Debian bug #424080, and unpatch-before-clean breaks some relevant
    use cases that involve patching of build systems.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Aug 2008 18:10:49 -0700

cdbs (0.4.52ubuntu5) intrepid; urgency=low

  * 1/class/autotools-files.mk.in: add -i option when calling libtoolize to
    install missing files.

 -- Mathias Gug <mathiaz@ubuntu.com>  Fri, 01 Aug 2008 14:42:02 -0400

cdbs (0.4.52ubuntu4) intrepid; urgency=low

  * Update Makefile.in for kde4.mk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 01 Aug 2008 16:10:57 +0100

cdbs (0.4.52ubuntu3) intrepid; urgency=low

  * Support .desktop .pot generation in kde4.mk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 01 Aug 2008 13:56:28 +0100

cdbs (0.4.52ubuntu2) intrepid; urgency=low

  * Add kde4.mk for KDE 4 packages

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 Jul 2008 14:19:07 +0100

cdbs (0.4.52ubuntu1) intrepid; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/control: Set Ubuntu maintainer and XS-Vcs-Bzr:.
    - debian/control: Drop kaffe build-dep since it is not in main.
    - 1/class/{kde.mk.in: Call dh_icons and bump autogenerated debhelper build
      dependency appropriately.
    - 1/class/kde.mk.in: build POT file, and add X-Ubuntu-Gettext-Domain to
      .desktop files.
    - Add 1/class/xfce.mk.in: Generic XFCE build rules. Install it in
      Makefile.am. (Currently being phased out.)
    - Add 1/rules/langpack.mk.in: Generic langpack related tasks: Build POT
      files and add X-Ubuntu-Gettext-Domain to .desktop/.server/.directory
      files. Install file in Makefile.am.
    - 1/rules/clean-la.mk.in: Remove dependency_libs lines from .la files.
    - 1/class/gnome.mk.in: Include langpack.mk.
    - test/testsuite_functions: Set NO_PKG_MANGLE so that tests do not fail
      with pkgstriptranslations installed.
    - debhelper.mk.in: Do not install upstream changelogs by default. They are
      huge and thus waste a lot of archive and CD space, quite uninteresting
      for ordinary users, and easy to get by downloading the source package or
      visiting the upstream page pointed out in copyright.
    - debhelper.mk.in: Symlink /usr/share/doc/ files to identical
      versions in any depending package which is built by the source package
      (except copyright, to adhere to Debian Policy). This can be disabled by
      setting $CDBS_NO_DOC_SYMLINKING.
    - 1/rules/debhelper.mk.in: Symlink identical Gnome help files (like
      untranslated images). This can be disabled by setting
      $CDBS_NO_GNOME_HELP_SYMLINKING.
    - 1/class/gnome.mk.in: Check if $DEB_BUILDDIR actually exists before
      cd'ing to it.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 29 Apr 2008 11:25:42 +0200

=== debian/control ===
Source: cdbs
Section: devel
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
Build-Depends-Indep: debhelper (>= 5), graphviz, realpath, fakeroot, python-dev, python2.4-dev, python2.5-dev, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, dblatex, ant, sharutils, gs-common, texlive-extra-utils
Uploaders: Jonas Smedegaard <dr@jones.dk>, Marc Dequènes (Duck) <Duck@DuckCorp.org>, Peter Eisentraut <petere@debian.org>
Standards-Version: 3.7.3
Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/cdbs/ubuntu

Package: cdbs
Architecture: all
Conflicts: build-common
Depends: debhelper (>= 5.0.30), fdupes, intltool
Recommends: autotools-dev
Suggests: devscripts, doc-base
Description: common build system for Debian packages
 This package contains the Common Debian Build System, an abstract
 build system based on Makefile inheritance which is completely
 extensible and overridable.  In other words, CDBS provides a sane set
 of default rules upon which packages can build; any or all rules may
 be overridden as needed.

## cdbs 0.4.52ubuntu9~intrepid2

=== debian/changelog ===
cdbs (0.4.52ubuntu9~intrepid2) intrepid-backports; urgency=low

  * Update Intrepid backport kde4.mk to only include quilt.mk if the patches
    dir is present (change cherrypicked from Jaunty kde4.mk)
    - Will enable substantially more KDE 4 packages to be backported without
      change

 -- Scott Kitterman <scott@kitterman.com>  Thu, 26 Feb 2009 14:59:20 -0500

cdbs (0.4.52ubuntu9~intrepid1) intrepid-backports; urgency=low

  * Intrepid backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 16 Feb 2009 22:40:49 +0000

cdbs (0.4.52ubuntu9) jaunty; urgency=low

  * Update kde4.mk.in with changes from Debian pkg-kde team

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Nov 2008 15:14:27 +0000

cdbs (0.4.52ubuntu8) jaunty; urgency=low

  * Default DEB_KDE_LINK_WITH_AS_NEEDED to "no" in kde4.mk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2008 12:50:50 +0000

## cdbs 0.4.52ubuntu18

=== debian/changelog ===
cdbs (0.4.52ubuntu18) jaunty; urgency=low

  * Do not add gettext domain to .desktop files in kde.mk, it doesn't 
    work with KDE 3

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 Apr 2009 18:42:57 +0100

cdbs (0.4.52ubuntu17) jaunty; urgency=low

  * Work around testsuite failure in distutils-3.sh (testsuite not
    yet updated for new python defaults).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Mar 2009 13:54:37 +0100

cdbs (0.4.52ubuntu16) jaunty; urgency=low

  * ant.mk (ant-sanity-check): Allow JAVACMD to include options.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Mar 2009 13:33:07 +0100

cdbs (0.4.52ubuntu15) jaunty; urgency=low

  * 1/class/python-distutils.mk.in: call setup.py --install with the option
    --install-layout=deb. If DEB_PYTHON_SYSTEM is the build system, move
    the files back to the expected location.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Feb 2009 15:23:45 +0100

cdbs (0.4.52ubuntu14) jaunty; urgency=low

  * 1/class/kde.mk.in add --without-arts to cdbs_configure_flags since we are
    dropping arts and all KDE 3 packages should be built without arts support
    and many will currently FTBFS if this flag is not set (LP: #320915)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 18 Feb 2009 22:41:37 -0500

cdbs (0.4.52ubuntu13) jaunty; urgency=low

  * 1/rules/langpack.mk.in: Drop translations from .desktop and
    .directory files, since current glib now prefers inline
    translations over gettext ones. Although glib now prefers
    X-GNOME-Gettext-Domain, keep using X-Ubuntu-Gettext-Domain: until
    GNOME #569829 gets applied, or at least ack'ed.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 Jan 2009 16:43:26 +0100

cdbs (0.4.52ubuntu12) jaunty; urgency=low

  * 1/rules/langpack.mk.in: Drop translations from gconf .schemas
    files, put in the gettext translation domain instead. gconf >=
    2.25.0-0ubuntu1 will use gettext() dynamically. Once all our
    *.schemas files will be converted, this will save ~ 90 MB
    uncompressed/10 MB compressed on a default Ubuntu installation.
    (LP: #123025)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 23 Jan 2009 14:59:06 +0100

cdbs (0.4.52ubuntu11) jaunty; urgency=low

  * Change HTML_INSTALL_DIR from usr/share/doc/kde4/HTML to ..doc/kde/HTML
    this enables KDE 4's KHelpcenter to use KDE 3 and KDE 4 documentation
    (LP: #284915)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 18 Jan 2009 20:21:42 +0100

cdbs (0.4.52ubuntu10) jaunty; urgency=low

  * Only include patchsys-quilt.mk in kde4.mk if debian/patches is present

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 30 Dec 2008 20:25:53 +0100
